[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Discuss-gnuradio] Minor problem in FC2 with audio-oss in tarballs 2

From: Ulf Soderberg
Subject: Re: [Discuss-gnuradio] Minor problem in FC2 with audio-oss in tarballs 2.6
Date: Sun, 06 Feb 2005 11:47:47 +0100
User-agent: Mozilla Thunderbird 1.0 (Windows/20041206)

Eric Blossom wrote:
On Sat, Feb 05, 2005 at 07:28:04PM -0500, Achilleas Anastasopoulos wrote:

Dear all,

I built gnuradio on FC2 using the new tarballs.
Everything went OK, except building audio-oss.

It seems that gcc cannot find "-lpython2.3"
The problem was traced to the Makefile
generated in the /src directory, which contains the following lines

_audio_oss_la_LIBADD = \
     -lpython2.3      \

I compared this Makefile with the one in audio-alsa
and it seems that the latter does not need this libarary.
I removed the line from the make file and it works fine.

Can anyone confirm this problem/solution.

This is a known problem with FC2.

The -lpythonX.Y is required when building under windows and some other
platforms.  We didn't think it would be a problem since most systems have it
installed (including FC3).  For some reason FC2 only ships the .a and
not the .so version.

The right answer is to conditionalize the use of the library with some
autoconf magic.  Stephane, care to take a shot at it ;-)

This problem will show up on FC2 in all modules that use swig.

Seems to be some problem with making audio-oss even with FC3. I installed FC3 last night. Upgraded swig. Installed cppunit, boost etc. Didn't read the docs before starting the build process, so I had to restart it for each missing library :(

Anyway, when it came to the audio-oss part of the build process it failed with an error message telling me there was no Makefile.in.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]